Subject: Offline Message from Marilia almeida Trapp: Dear Sir/Madam, I have ordered s
From: Zendesk Chat <[email-masked]>
To: [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked]
Date: Wed, 17 Jun 2020 07:50:50 -0000

From: Marilia almeida Trapp <[email-masked]>
Phone: 
Location: Jeddah, Saudi Arabia
URL: https://saudi.mumzworld.com/sa-en/trackhistory/track/index/id/Tk5RZ3czMnNsNEN4ekY5Y2h3M1kzdz09/key/2/
Department: 

Dear Sir/Madam,

I have ordered some stuff on April 21st. I haven't received it yet and I have been contacting you quite often during the past month. I have always been told by the operator that this would be fixed. Whoever you have never solved my problem.you haven't sent it again neither gave me the money back. So I would like to have a complaining number in order to open a complaining in the Saudi responsible authority.
I really hope to get a reply to this message
Thank you so much
Best regards

Marilia

----
Zopim
https://www.zopim.com